#include "ipstore"

unsigned IPStore::anticipated(unsigned b) {
    if (!onoff || b >= balancer.nbackends())
	return 0;
    
    unsigned ret = 0;

    Mutex::lock(&store);
    for (StoreMap::iterator iter = store.begin();
	 iter != store.end();
	 iter++)
	if ((*iter).second.targetbackend == (int)b)
	    ret++;
    Mutex::unlock(&store);
    
    return ret;
}
   
	
